<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Crazyflie plugin for ARGoS: argos::CQTOpenGLOperationDrawCrazyflieNormal Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Crazyflie plugin for ARGoS
   </div>
   <div id="projectbrief">ADARS project -- PCOG / SnT / University of Luxembourg</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceargos.html">argos</a></li><li class="navelem"><a class="el" href="classargos_1_1CQTOpenGLOperationDrawCrazyflieNormal.html">CQTOpenGLOperationDrawCrazyflieNormal</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classargos_1_1CQTOpenGLOperationDrawCrazyflieNormal-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">argos::CQTOpenGLOperationDrawCrazyflieNormal Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for argos::CQTOpenGLOperationDrawCrazyflieNormal:</div>
<div class="dyncontent">
<div class="center"><img src="classargos_1_1CQTOpenGLOperationDrawCrazyflieNormal__inherit__graph.png" border="0" usemap="#aargos_1_1CQTOpenGLOperationDrawCrazyflieNormal_inherit__map" alt="Inheritance graph"/></div>
<map name="aargos_1_1CQTOpenGLOperationDrawCrazyflieNormal_inherit__map" id="aargos_1_1CQTOpenGLOperationDrawCrazyflieNormal_inherit__map">
<area shape="rect" title=" " alt="" coords="21,80,216,121"/>
<area shape="rect" title=" " alt="" coords="5,5,232,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for argos::CQTOpenGLOperationDrawCrazyflieNormal:</div>
<div class="dyncontent">
<div class="center"><img src="classargos_1_1CQTOpenGLOperationDrawCrazyflieNormal__coll__graph.png" border="0" usemap="#aargos_1_1CQTOpenGLOperationDrawCrazyflieNormal_coll__map" alt="Collaboration graph"/></div>
<map name="aargos_1_1CQTOpenGLOperationDrawCrazyflieNormal_coll__map" id="aargos_1_1CQTOpenGLOperationDrawCrazyflieNormal_coll__map">
<area shape="rect" title=" " alt="" coords="21,80,216,121"/>
<area shape="rect" title=" " alt="" coords="5,5,232,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a00a7ab5821b9f3457407f65e93cf39a3"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classargos_1_1CQTOpenGLOperationDrawCrazyflieNormal.html#a00a7ab5821b9f3457407f65e93cf39a3">ApplyTo</a> (CQTOpenGLWidget &amp;c_visualization, <a class="el" href="classargos_1_1CCrazyflieEntity.html">CCrazyflieEntity</a> &amp;c_entity)</td></tr>
<tr class="separator:a00a7ab5821b9f3457407f65e93cf39a3"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a00a7ab5821b9f3457407f65e93cf39a3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a00a7ab5821b9f3457407f65e93cf39a3">&#9670;&nbsp;</a></span>ApplyTo()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void argos::CQTOpenGLOperationDrawCrazyflieNormal::ApplyTo </td>
          <td>(</td>
          <td class="paramtype">CQTOpenGLWidget &amp;&#160;</td>
          <td class="paramname"><em>c_visualization</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classargos_1_1CCrazyflieEntity.html">CCrazyflieEntity</a> &amp;&#160;</td>
          <td class="paramname"><em>c_entity</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>src/plugins/robots/crazyflie/simulator/<a class="el" href="qtopengl__crazyflie_8cpp.html">qtopengl_crazyflie.cpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
